MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024776Open CASCADE[OCCT] OCCT:Visualizationpublic2014-03-29 10:462017-12-19 13:03
Reporterkgv 
Assigned Tokgv 
PriorityhighSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024776: Visualization - inherit OpenGl_View from Graphic3d_CView
DescriptionOpenGl_View is logically specialization of Visual3d_View, but stored as pointer in it (as Graphic3d_CView::ptrView in Visual3d_View::MyCView) by current design.
Steps To ReproduceNot applicable
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024704closedbugmaster Open CASCADE Visualization - inherit OpenGl_Structure from Graphic3d_CStructure 
parent of 0026792closedbugmaster Open CASCADE Visualization, Graphic3d - Z-fit support for transform persistence is missing after removing Visual3d_View 
parent of 0026807closedbugmaster Open CASCADE Documentation - describe dropping of Visual3d and UserDraw within porting notes 
parent of 0028664closedbugmaster Community Documentation of Graphic3d_CView::Activate and Deactivate does not seem to be correct 
parent of 0029393closedbugmaster Community Samples - AndroidQt sample build fail 
related to 0025147closedbugmaster Open CASCADE Visualization, TKOpenGl - support EGL as alternative to GLX 
related to 0026298closedbugmaster Open CASCADE Visualization, OpenGl_Text - make font resolution configurable 
related to 0026734closedbugmaster Open CASCADE Visualization, TKOpenGl - drop outdated UserDraw interfaces 
related to 0026862closedbugmaster Open CASCADE Configuration - avoid usage of 3rd-party headers within OpenGl_View and D3DHost_View 
related to 0026915closedbugmaster Open CASCADE Visualization - return Handle from Graphic3d_CView::FBOCreate() instead of a pointer 
related to 0027031closedbugmaster Open CASCADE Samples - fix compilation issues in java/jniviewer sample 
child of 0023117closedbugmaster Open CASCADE TKV3d and TKOpenGl code clean-up 
child of 0025094closedbugmaster Open CASCADE Visualization, Visual3d_View - code clean up 

-  Notes
(0043771)
git (administrator)
2015-07-31 19:32

Branch CR24776 has been created by apl.

SHA-1: f8cdaf0b7e162c9d61c7e56f3c04101ab0fd5897


Detailed log of new commits:

Author: apl
Date: Fri Jul 31 19:32:00 2015 +0300

    0024776: Visualization - inherit OpenGl_View from Visual3d_View
    
    Temporary commit of raw development.
(0045033)
git (administrator)
2015-09-03 19:09

Branch CR24776 has been updated forcibly by apl.

SHA-1: 7193bf9e24b58e04d9fea2a939a85dca395336ce
(0045092)
git (administrator)
2015-09-04 18:03

Branch CR24776 has been updated by apl.

SHA-1: f6d553e203bddcc9d6c46814051a3b480c5ee708


Detailed log of new commits:

Author: apl
Date: Fri Sep 4 18:03:25 2015 +0300

    1) Delayed initialization of OpenGl_View resources
    2) Clear interface of OpenGl_GraphicDriver

(0045167)
git (administrator)
2015-09-07 17:31

Branch CR24776 has been updated by apl.

SHA-1: 9d1d2bee46283e72e10d41a24b1cca83c03cffd2


Detailed log of new commits:

Author: apl
Date: Mon Sep 7 17:31:09 2015 +0300

    Port changes to V3d_view

Author: apl
Date: Mon Sep 7 14:54:11 2015 +0300

    1) Keep min-max callback for graduated trihedron
    2) Keep virtual modifier for methods of OpenGl_View
    3) Compilation errors in TKOpenGl

Author: apl
Date: Mon Sep 7 14:53:00 2015 +0300

    Use Graphic3d_StructureManager instead of redundant ViewManager

Author: apl
Date: Mon Sep 7 14:52:13 2015 +0300

    Redesign D3DHost according to changes

(0045214)
git (administrator)
2015-09-08 13:10

Branch CR24776 has been updated by apl.

SHA-1: 5a9abb7659c10d9f78073b5e6882ad1b6a193b97


Detailed log of new commits:

Author: apl
Date: Tue Sep 8 13:05:35 2015 +0300

    Elimination of visual3d package in solution

(0045272)
git (administrator)
2015-09-08 20:30

Branch CR24776 has been updated by apl.

SHA-1: f90ab5ed96d4958ca853975dcb48bea2d5119662


Detailed log of new commits:

Author: apl
Date: Tue Sep 8 20:30:22 2015 +0300

    Preparing for compilation.
    - Dropped obsolete InterfaceGraphic_Aspect.hxx
    - Exported missing methods to v3d_view
    - Port changes in higher packages

Author: apl
Date: Tue Sep 8 14:40:04 2015 +0300

    Keep activation & deactivation logic of views

(0045309)
git (administrator)
2015-09-09 13:17

Branch CR24776 has been updated by apl.

SHA-1: 7d6fb396d020a453815124fc160c10d2de589c06


Detailed log of new commits:

Author: apl
Date: Wed Sep 9 13:17:50 2015 +0300

    1) Debugging
    2) Porting samples to the changes

(0045310)
git (administrator)
2015-09-09 13:31

Branch CR24776 has been updated by apl.

SHA-1: d6186491dceaf4bba4c19a3ed8f9fa6e0a3356c5


Detailed log of new commits:

Author: apl
Date: Wed Sep 9 13:31:54 2015 +0300

    D3DHost compilation

(0045358)
git (administrator)
2015-09-09 19:37

Branch CR24776 has been updated by apl.

SHA-1: c41c6ed4b687c7ac33108be2fc17dd1f4ddca1ad


Detailed log of new commits:

Author: apl
Date: Wed Sep 9 19:37:01 2015 +0300

    Keep mechanism of lazy auto z-fit

Author: apl
Date: Wed Sep 9 17:28:37 2015 +0300

    Compile warnings on Linux

(0045393)
git (administrator)
2015-09-10 12:02

Branch CR24776 has been updated by apl.

SHA-1: 6ed1e4dc30a898899952ce223ed16dfa633da505


Detailed log of new commits:

Author: apl
Date: Thu Sep 10 12:02:28 2015 +0300

    Update test case

Author: apl
Date: Thu Sep 10 12:02:04 2015 +0300

    Set camera aspect after mapping a window

Author: apl
Date: Thu Sep 10 11:01:29 2015 +0300

    Keep mechanism of lazy auto z-fit

(0045398)
git (administrator)
2015-09-10 12:50

Branch CR24776_1 has been created by apl.

SHA-1: 7420f476c1315f0763d498f92147779a521e147b


Detailed log of new commits:

Author: apl
Date: Thu Sep 10 12:02:28 2015 +0300

    Update test case

Author: apl
Date: Thu Sep 10 12:04:09 2015 +0300

    0024776: Visualization - inherit OpenGl_View from Visual3d_View
    
    General notes:
    
    Goals of the patch are exposing interface of OpenGl_View (OpenGL graphics rendering methods) to client code and collecting all high-level API methods of application views in v3d_view class.
    
    1) Exposing interface of OpenGl_View:
    
    The OpenGl_View inherits from new class Graphic3d_CView. Graphic3d_CView is an interface class that declares abstract methods for managing displayed structures, display properties and a base layer code that implements computation and management of HLR (or more broadly speaking view-depended) structures. In new implementation it takes place of eliminated Visual3d_View. As before the instance of Graphic3d_CView is still completely managed by V3d_View classes. It can be accessed through V3d_View interface but normally this should not be required as all its methods are completely wrapped. In more details, a concrete specialization of Graphic3d_CView is created and returned by graphical driver on request. Right after creation the views is directly used for setting rendering properties and adding graphical structures to be displayed. The rendering of graphics is possible after mapping a window and activating the view. The direct setting of properties makes obsolete usage of intermediate structures with display parameter like Visual3d_ContextView and etc (the whole package of Visual3d become redundant).
    
    2) Collecting all high-level API methods of application views in V3d package:
    
    The patch includes elimination of Visual3d layer. All of its methods that could be previously used by application are now exposed and should be accessed on the level of V3d entities.
    
    List of changes:
    
    1) Introduced new class Graphic3d_CView. This is a base class for render views. Made possible to specialize concrete instances of the class by graphical driver.
    
    2) Moved all methods managing rendering views into interface of Graphic3d_CView. The corresponding methods were removed from interface of graphical driver.
    
    3) Eliminated Visual3d package:
    3.1) Logic of managing display of structures was put from Visual3d_ViewManager into Graphic3d_StructureManager.
    3.2) Removed Visual3d_View class. Logic of managing computed structures was put into base layer of Graphi3d_CView.
    3.3) Removed all intermediate structures for storing view parameters e.g. Visual3d_ContextView. All settings are kept by instances of Graphic3d_CView
    3.4) Removed Visual3d_Light intermediate class. All light properties are still stored in Graphic3d_CLight structure. The structure is directly access by instance of V3d_Light classes.
    3.5) Moved all needed enumerations into Graphic3d package.
    
    4) Update package D3DHost to new changes.
    
    5) Update code of OCCT samples to new changes.
(0045399)
apl (developer)
2015-09-10 12:51

Dear Kirill,

Please review patch in branch CR24776_1.
(0045476)
git (administrator)
2015-09-11 12:15

Branch CR24776_1 has been updated forcibly by apl.

SHA-1: ca6f9425887756354eb2b3391adf6e13ad1aaaf9
(0045479)
git (administrator)
2015-09-11 12:47

Branch CR24776_2 has been created by apl.

SHA-1: c6f0e767e6932bc0d1b355ae69054004da46b216


Detailed log of new commits:

Author: apl
Date: Fri Sep 11 12:47:24 2015 +0300

    0024776: Visualization - inherit OpenGl_View from Visual3d_View
    
    General notes:
    
    Goals of the patch are exposing interface of OpenGl_View (OpenGL graphics rendering methods) to client code and collecting all high-level API methods of application views in v3d_view class.
    
    1) Exposing interface of OpenGl_View:
    
    The OpenGl_View inherits from new class Graphic3d_CView. Graphic3d_CView is an interface class that declares abstract methods for managing displayed structures, display properties and a base layer code that implements computation and management of HLR (or more broadly speaking view-depended) structures. In new implementation it takes place of eliminated Visual3d_View. As before the instance of Graphic3d_CView is still completely managed by V3d_View classes. It can be accessed through V3d_View interface but normally this should not be required as all its methods are completely wrapped. In more details, a concrete specialization of Graphic3d_CView is created and returned by graphical driver on request. Right after creation the views is directly used for setting rendering properties and adding graphical structures to be displayed. The rendering of graphics is possible after mapping a window and activating the view. The direct setting of properties makes obsolete usage of intermediate structures with display parameter like Visual3d_ContextView and etc (the whole package of Visual3d become redundant).
    
    2) Collecting all high-level API methods of application views in V3d package:
    
    The patch includes elimination of Visual3d layer. All of its methods that could be previously used by application are now exposed and should be accessed on the level of V3d entities.
    
    List of changes:
    
    1) Introduced new class Graphic3d_CView. This is a base class for render views. Made possible to specialize concrete instances of the class by graphical driver.
    
    2) Moved all methods managing rendering views into interface of Graphic3d_CView. The corresponding methods were removed from interface of graphical driver.
    
    3) Eliminated Visual3d package:
    3.1) Logic of managing display of structures was put from Visual3d_ViewManager into Graphic3d_StructureManager.
    3.2) Removed Visual3d_View class. Logic of managing computed structures was put into base layer of Graphi3d_CView.
    3.3) Removed all intermediate structures for storing view parameters e.g. Visual3d_ContextView. All settings are kept by instances of Graphic3d_CView
    3.4) Removed Visual3d_Light intermediate class. All light properties are still stored in Graphic3d_CLight structure. The structure is directly access by instance of V3d_Light classes.
    3.5) Moved all needed enumerations into Graphic3d package.
    
    4) Update package D3DHost to new changes.
    
    5) Update code of OCCT samples to new changes.
(0045480)
apl (developer)
2015-09-11 12:48

Dear Kirill,

Remarks were squashed and pushed into CR24776_2 (you can find the history in CR24776_1).
(0045481)
kgv (developer)
2015-09-11 13:06

Please test the patch.
(0045510)
git (administrator)
2015-09-11 16:57

Branch CR24776_2 has been updated forcibly by apv.

SHA-1: dd2591a64ed58ee9f0e439034e1ed0fb83e68c3d
(0045511)
apv (tester)
2015-09-11 16:58

Branch CR24776_2 has been rebased on the current master
(0045547)
apv (tester)
2015-09-14 10:26

Dear BugMaster,

There are errors during building of branch CR24776_2.
More information could be found by the following links:
Linux:
http://jenkins-test-02.nnov.opencascade.com/view/CR24776-2-master/job/CR24776-2-master_build_occt_linux/1/parsed_console/ [^]
Windows:
http://jenkins-test-02.nnov.opencascade.com/view/CR24776-2-master/job/CR24776-2-master_build_occt_windows_64/1/parsed_console/ [^]
(0045550)
git (administrator)
2015-09-14 11:15

Branch CR24776_2 has been updated by apl.

SHA-1: 3511f607a53f7f88c6b330c1c13e7364803823c2


Detailed log of new commits:

Author: apl
Date: Mon Sep 14 10:43:45 2015 +0300

    Compilation errors & gcc warnings

(0045551)
kgv (developer)
2015-09-14 11:17

Please test corrected branch.
(0045552)
apl (developer)
2015-09-14 11:18

Dear apv,

Corrections were made in branch CR24776_2.
(0045620)
apv (tester)
2015-09-15 12:32
edited on: 2015-09-15 12:40

Dear BugMaster,

Branch CR24776_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3511f607a53f7f88c6b330c1c13e7364803823c2

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

There are problem with building on MacOS:
http://jenkins-test-02.nnov.opencascade.com/view/CR24776-2-master/job/CR24776-2-master_prepare_build_occt_MacOS/1/parsed_console/ [^]

Building of OCCT MFC-samples:
http://jenkins-test-02.nnov.opencascade.com/view/CR24776-2-master/job/CR24776-2-master_build_products_mfc_samples_windows/1/parsed_console/ [^]

Building of OCCT Qt-samples:
http://jenkins-test-02.nnov.opencascade.com/view/CR24776-2-master/job/CR24776-2-master_build_products_qt_samples_windows/1/parsed_console/ [^]

Regressions/Differences:
http://occt-tests/CR24776-2-master-occt-64/Debian70-64/summary.html [^]
3rdparty export A1
bugs moddata_2 bug22572
bugs vis bug10781, bug11095, bug21091_3, bug26028
bugs xde bug23193, bug25405
v3d glsl phong_views
v3d mesh A5, A6, A7, A8, B1, B6, B7, B8

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91901153 / 92534325 [-0.68%]
Total CPU difference: 18203.699999999233 / 17937.40999999909 [+1.48%]

Testing on Windows:
Total MEMORY difference: 57718667 / 57755969 [-0.06%]
Total CPU difference: 16814.708185899224 / 16848.029999499147 [-0.20%]

There are following differences in images found by testdiff.
http://occt-tests/CR24776-2-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR24776-2-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
v3d materials bug24387_2
v3d materials bug24855
v3d raytrace bug24130
v3d raytrace textures
v3d raytrace refraction
v3d raytrace bug24819
v3d raytrace bug25201
demo samples penrose
bugs vis bug23747_2
bugs vis bug25671
bugs vis bug23747_1

(0045714)
git (administrator)
2015-09-16 15:01

Branch CR24776_2 has been updated by apl.

SHA-1: ae08181ebf78de4264a54244aecac7ae143042a9


Detailed log of new commits:

Author: apl
Date: Wed Sep 16 15:01:20 2015 +0300

    Fix regressions in test cases.
    
    1) Fix references between Graphic3d_CView and Graphic3d_StructureManager for in-time destruction.
    2) Minimize camera state invalidation when setting the same parameters (AutoZFit is called frequently with same values).
    3) Fix problem with initialization of environment texture.
    4) Fix problem of update projection/orientation matrices in shadermanager when switching active views.
    5) Fix problem of normalization of light source direction.

(0045727)
git (administrator)
2015-09-16 17:16

Branch CR24776_3 has been created by apl.

SHA-1: a4ee0a6073e9293526eecf7462726f2314297f18


Detailed log of new commits:

Author: apl
Date: Wed Sep 16 17:12:22 2015 +0300

    0024776: Visualization - inherit OpenGl_View from Visual3d_View
    
    General notes:
    
    Goals of the patch are exposing interface of OpenGl_View (OpenGL graphics rendering methods) to client code and collecting all high-level API methods of application views in v3d_view class.
    
    1) Exposing interface of OpenGl_View:
    
    The OpenGl_View inherits from new class Graphic3d_CView. Graphic3d_CView is an interface class that declares abstract methods for managing displayed structures, display properties and a base layer code that implements computation and management of HLR (or more broadly speaking view-depended) structures. In new implementation it takes place of eliminated Visual3d_View. As before the instance of Graphic3d_CView is still completely managed by V3d_View classes. It can be accessed through V3d_View interface but normally this should not be required as all its methods are completely wrapped. In more details, a concrete specialization of Graphic3d_CView is created and returned by graphical driver on request. Right after creation the views is directly used for setting rendering properties and adding graphical structures to be displayed. The rendering of graphics is possible after mapping a window and activating the view. The direct setting of properties makes obsolete usage of intermediate structures with display parameter like Visual3d_ContextView and etc (the whole package of Visual3d become redundant).
    
    2) Collecting all high-level API methods of application views in V3d package:
    
    The patch includes elimination of Visual3d layer. All of its methods that could be previously used by application are now exposed and should be accessed on the level of V3d entities.
    
    List of changes:
    
    1) Introduced new class Graphic3d_CView. This is a base class for render views. Made possible to specialize concrete instances of the class by graphical driver.
    
    2) Moved all methods managing rendering views into interface of Graphic3d_CView. The corresponding methods were removed from interface of graphical driver.
    
    3) Eliminated Visual3d package:
    3.1) Logic of managing display of structures was put from Visual3d_ViewManager into Graphic3d_StructureManager.
    3.2) Removed Visual3d_View class. Logic of managing computed structures was put into base layer of Graphi3d_CView.
    3.3) Removed all intermediate structures for storing view parameters e.g. Visual3d_ContextView. All settings are kept by instances of Graphic3d_CView
    3.4) Removed Visual3d_Light intermediate class. All light properties are still stored in Graphic3d_CLight structure. The structure is directly access by instance of V3d_Light classes.
    3.5) Moved all needed enumerations into Graphic3d package.
    
    4) Update package D3DHost to new changes.
    
    5) Update code of OCCT samples to new changes.
(0045728)
apl (developer)
2015-09-16 17:17

Dear apv,

Corrections were pushed into branch CR24776_3.

Update for product samples is in branch CR24776 of products repository.

Please test.
(0045790)
apv (tester)
2015-09-17 14:30

Dear BugMaster,

Branch CR24776_3 from occt git-repository and CR24776 from products git-repository was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: a4ee0a6073e9293526eecf7462726f2314297f18
SHA-1: 098ca5464fa55e51ccbc486f212b0fd92391b471

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

There are problem with building on MacOS:
http://jenkins-test-02.nnov.opencascade.com/view/CR24776-3-CR24776/job/CR24776-3-CR24776_prepare_build_occt_MacOS/1/parsed_console/ [^]

Regressions/Differences:
http://occt-tests/CR24776-3-CR24776-occt-64/Debian70-64/summary.html [^]
v3d glsl phong_views

Testing cases:
Not needed

Testing on Linux:
occt component:
Total MEMORY difference: 91890887 / 92767130 [-0.94%]
Total CPU difference: 17957.60999999901 / 17945.999999999087 [+0.06%]
products component:
Total MEMORY difference: 25895293 / 25884840 [+0.04%]
Total CPU difference: 7565.419999999962 / 7187.509999999996 [+5.26%]

Testing on Windows:
occt component:
Total MEMORY difference: 57721886 / 57755969 [-0.06%]
Total CPU difference: 16644.745096398925 / 16848.029999499147 [-1.21%]
products component:
Total MEMORY difference: 16770361 / 16782651 [-0.07%]
Total CPU difference: 5485.229161499974 / 5565.444875699965 [-1.44%]

There are following differences in images found by testdiff.
http://occt-tests/CR24776-3-CR24776-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR24776-3-CR24776-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
bugs vis bug25671
(0045815)
git (administrator)
2015-09-17 16:40

Branch CR24776_3 has been updated by apl.

SHA-1: b98275bff6572b68534dbefc13ba8e030f57ddbc


Detailed log of new commits:

Author: apl
Date: Thu Sep 17 16:39:55 2015 +0300

    MacOS compilation

(0045838)
git (administrator)
2015-09-17 19:40

Branch CR24776_3 has been updated by apl.

SHA-1: 2b51f3965acab14f068ca4b19fc5e7501267f16d


Detailed log of new commits:

Author: apl
Date: Thu Sep 17 19:40:28 2015 +0300

    Fix release of resources and remove of V3d_View;
    Fix management of context by shared shader manager.

(0045841)
git (administrator)
2015-09-17 20:14

Branch CR24776_4 has been created by apl.

SHA-1: e8b188dc62938b26d842ca9e3fa01fad5ea30d49


Detailed log of new commits:

Author: apl
Date: Thu Sep 17 20:12:24 2015 +0300

    0024776: Visualization - inherit OpenGl_View from Visual3d_View
    
    General notes:
    
    Goals of the patch are exposing interface of OpenGl_View (OpenGL graphics rendering methods) to client code and collecting all high-level API methods of application views in v3d_view class.
    
    1) Exposing interface of OpenGl_View:
    
    The OpenGl_View inherits from new class Graphic3d_CView. Graphic3d_CView is an interface class that declares abstract methods for managing displayed structures, display properties and a base layer code that implements computation and management of HLR (or more broadly speaking view-depended) structures. In new implementation it takes place of eliminated Visual3d_View. As before the instance of Graphic3d_CView is still completely managed by V3d_View classes. It can be accessed through V3d_View interface but normally this should not be required as all its methods are completely wrapped. In more details, a concrete specialization of Graphic3d_CView is created and returned by graphical driver on request. Right after creation the views is directly used for setting rendering properties and adding graphical structures to be displayed. The rendering of graphics is possible after mapping a window and activating the view. The direct setting of properties makes obsolete usage of intermediate structures with display parameter like Visual3d_ContextView and etc (the whole package of Visual3d become redundant).
    
    2) Collecting all high-level API methods of application views in V3d package:
    
    The patch includes elimination of Visual3d layer. All of its methods that could be previously used by application are now exposed and should be accessed on the level of V3d entities.
    
    List of changes:
    
    1) Introduced new class Graphic3d_CView. This is a base class for render views. Made possible to specialize concrete instances of the class by graphical driver.
    
    2) Moved all methods managing rendering views into interface of Graphic3d_CView. The corresponding methods were removed from interface of graphical driver.
    
    3) Eliminated Visual3d package:
    3.1) Logic of managing display of structures was put from Visual3d_ViewManager into Graphic3d_StructureManager.
    3.2) Removed Visual3d_View class. Logic of managing computed structures was put into base layer of Graphi3d_CView.
    3.3) Removed all intermediate structures for storing view parameters e.g. Visual3d_ContextView. All settings are kept by instances of Graphic3d_CView
    3.4) Removed Visual3d_Light intermediate class. All light properties are still stored in Graphic3d_CLight structure. The structure is directly access by instance of V3d_Light classes.
    3.5) Moved all needed enumerations into Graphic3d package.
    
    4) Update package D3DHost to new changes.
    
    5) Update code of OCCT samples to new changes.
(0045855)
git (administrator)
2015-09-18 11:00

Branch CR24776_4 has been updated forcibly by apl.

SHA-1: 8b414267af65860e923ecd981415897d62144156
(0045863)
apl (developer)
2015-09-18 11:31

Dear bugmaster,

The regression in v3d glsl phong_views was fixed.
The changes in bugs vis bug25671 are OK.
Also, MacOS compilation errors were taken into account and pushed in CR24776_4.
The branch CR24776_4 is based on current IR.

Could you please test it?

(0045893)
git (administrator)
2015-09-18 15:26

Branch CR24776_4 has been updated forcibly by apv.

SHA-1: 0c64d9bb826693d1101e9f0a77bd2c46db441a87
(0045894)
apv (tester)
2015-09-18 15:28

Branches CR24776_4 (occt git-repository) and CR24776 (products git-repository) have been rebased on the current master.
(0045912)
git (administrator)
2015-09-18 16:59

Branch CR24776_4 has been updated by apl.

SHA-1: c2632f342a42322db27d72b021a29a2a952c9b9e


Detailed log of new commits:

Author: apl
Date: Fri Sep 18 16:59:39 2015 +0300

    MacOS compilation - missing definition of OpenGl_Window::SetSwapInterval()

(0045923)
apl (developer)
2015-09-18 19:24

Dear bugmaster,

Once again the compilation for MacOS failed. This time there is an undefined method as reported in log. I committed a fix for it into CR24776_4. Please check it after running tests (if there will be no new regressions).
(0045931)
git (administrator)
2015-09-19 16:41

Branch CR24776_4 has been updated by kgv.

SHA-1: 1d10df3a20507824fb8e7cce431f4ad6f907c34d


Detailed log of new commits:

Author: kgv
Date: Sat Sep 19 16:41:04 2015 +0300

    0026711: Visualization, TKOpenGl - support creation of multisampling off-screen FBOs

(0045933)
git (administrator)
2015-09-19 16:47

Branch CR24776_4 has been updated forcibly by kgv.

SHA-1: c2632f342a42322db27d72b021a29a2a952c9b9e
(0045934)
git (administrator)
2015-09-19 17:29

Branch CR24776_4 has been updated by kgv.

SHA-1: d46665d5e6cab58774ccf96d6ef90993583d9d26


Detailed log of new commits:

Author: kgv
Date: Sat Sep 19 17:28:53 2015 +0300

    Add missing exports for TKD3DHost

(0045976)
apv (tester)
2015-09-22 11:32

Dear BugMaster,

Branch CR24776_4 from occt git-repository and CR24776 from products git-repository was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d46665d5e6cab58774ccf96d6ef90993583d9d26
SHA-1: 8e865494b3635c6bd5d26bf4b50de062715cf203

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
occt component:
Total MEMORY difference: 91948408 / 92158942 [-0.23%]
Total CPU difference: 18897.809999998866 / 18924.789999998986 [-0.14%]
products component:
Total MEMORY difference: 25953169 / 25980951 [-0.11%]
Total CPU difference: 7106.410000000006 / 7208.589999999996 [-1.42%]

Testing on Windows:
occt component:
Total MEMORY difference: 56789808 / 56825790 [-0.06%]
Total CPU difference: 17163.776023499246 / 16810.58975949913 [+2.10%]
products component:
Total MEMORY difference: 16771704 / 16784150 [-0.07%]
Total CPU difference: 5509.17531499995 / 5525.21221779996 [-0.29%]
(0045977)
git (administrator)
2015-09-22 11:50

Branch CR24776_5 has been created by kgv.

SHA-1: c357e42610e01960a257dcbd4890ab5c6a2bf144


Detailed log of new commits:

Author: apl
Date: Tue Sep 22 11:49:33 2015 +0300

    0024776: Visualization - inherit OpenGl_View from Graphic3d_CView
    
    Expose interface of OpenGl_View (OpenGL graphics rendering methods) to client code
    and collecting all high-level API methods of application views in V3d_View class.
    
    1) Exposing interface of OpenGl_View:
    
    The OpenGl_View inherits from new class Graphic3d_CView.
    Graphic3d_CView is an interface class that declares abstract methods for managing displayed structures,
    display properties and a base layer code that implements computation
    and management of HLR (or more broadly speaking view-depended) structures.
    
    In new implementation it takes place of eliminated Visual3d_View.
    As before the instance of Graphic3d_CView is still completely managed by V3d_View classes.
    It can be accessed through V3d_View interface but normally this should not be required as all its methods are completely wrapped.
    
    In more details, a concrete specialization of Graphic3d_CView is created and returned by graphical driver on request.
    Right after creation the views is directly used for setting rendering properties and adding graphical structures to be displayed.
    
    The rendering of graphics is possible after mapping a window and activating the view.
    The direct setting of properties makes obsolete usage of intermediate structures with display parameter
    like Visual3d_ContextView and etc (the whole package of Visual3d become redundant).
    
    2) Collecting all high-level API methods of application views in V3d package:
    
    The patch includes elimination of Visual3d layer.
    All of its methods that could be previously used by application are now exposed and should be accessed on the level of V3d entities.
    - Introduced new class Graphic3d_CView.
      This is a base class for render views.
      Made possible to specialize concrete instances of the class by graphical driver.
    - Moved all methods managing rendering views into interface of Graphic3d_CView.
      The corresponding methods were removed from interface of graphical driver.
    
    3) Eliminated Visual3d package:
    
    - Logic of managing display of structures was put from Visual3d_ViewManager into Graphic3d_StructureManager.
    - Removed Visual3d_View class. Logic of managing computed structures was put into base layer of Graphi3d_CView.
    - Removed all intermediate structures for storing view parameters e.g. Visual3d_ContextView.
      All settings are kept by instances of Graphic3d_CView
    - Removed Visual3d_Light intermediate class.
      All light properties are still stored in Graphic3d_CLight structure.
      The structure is directly access by instance of V3d_Light classes.
    - Moved all needed enumerations into Graphic3d package.
    
    4) Update package D3DHost to new changes.
    
    5) Update code of OCCT samples to new changes.
(0045978)
kgv (developer)
2015-09-22 11:50

Branch CR24776_5 contains the same patch prepared for integration - retesting is not needed.
(0046866)
git (administrator)
2015-10-16 16:14

Branch CR24776 has been deleted by kgv.

SHA-1: 6ed1e4dc30a898899952ce223ed16dfa633da505
(0046867)
git (administrator)
2015-10-16 16:14

Branch CR24776_1 has been deleted by kgv.

SHA-1: ca6f9425887756354eb2b3391adf6e13ad1aaaf9
(0046868)
git (administrator)
2015-10-16 16:14

Branch CR24776_2 has been deleted by kgv.

SHA-1: ae08181ebf78de4264a54244aecac7ae143042a9
(0046869)
git (administrator)
2015-10-16 16:14

Branch CR24776_3 has been deleted by kgv.

SHA-1: 2b51f3965acab14f068ca4b19fc5e7501267f16d
(0046870)
git (administrator)
2015-10-16 16:14

Branch CR24776_4 has been deleted by kgv.

SHA-1: d46665d5e6cab58774ccf96d6ef90993583d9d26
(0046871)
git (administrator)
2015-10-16 16:14

Branch CR24776_5 has been deleted by kgv.

SHA-1: c357e42610e01960a257dcbd4890ab5c6a2bf144

- Related Changesets
occt: master c357e426
Timestamp: 2015-09-22 08:49:33
Author: apl
Committer: kgv
Details ] Diff ]
0024776: Visualization - inherit OpenGl_View from Graphic3d_CView

Expose interface of OpenGl_View (OpenGL graphics rendering methods) to client code
and collecting all high-level API methods of application views in V3d_View class.

1) Exposing interface of OpenGl_View:

The OpenGl_View inherits from new class Graphic3d_CView.
Graphic3d_CView is an interface class that declares abstract methods for managing displayed structures,
display properties and a base layer code that implements computation
and management of HLR (or more broadly speaking view-depended) structures.

In new implementation it takes place of eliminated Visual3d_View.
As before the instance of Graphic3d_CView is still completely managed by V3d_View classes.
It can be accessed through V3d_View interface but normally this should not be required as all its methods are completely wrapped.

In more details, a concrete specialization of Graphic3d_CView is created and returned by graphical driver on request.
Right after creation the views is directly used for setting rendering properties and adding graphical structures to be displayed.

The rendering of graphics is possible after mapping a window and activating the view.
The direct setting of properties makes obsolete usage of intermediate structures with display parameter
like Visual3d_ContextView and etc (the whole package of Visual3d become redundant).

2) Collecting all high-level API methods of application views in V3d package:

The patch includes elimination of Visual3d layer.
All of its methods that could be previously used by application are now exposed and should be accessed on the level of V3d entities.
- Introduced new class Graphic3d_CView.
  This is a base class for render views.
  Made possible to specialize concrete instances of the class by graphical driver.
- Moved all methods managing rendering views into interface of Graphic3d_CView.
  The corresponding methods were removed from interface of graphical driver.

3) Eliminated Visual3d package:

- Logic of managing display of structures was put from Visual3d_ViewManager into Graphic3d_StructureManager.
- Removed Visual3d_View class. Logic of managing computed structures was put into base layer of Graphi3d_CView.
- Removed all intermediate structures for storing view parameters e.g. Visual3d_ContextView.
  All settings are kept by instances of Graphic3d_CView
- Removed Visual3d_Light intermediate class.
  All light properties are still stored in Graphic3d_CLight structure.
  The structure is directly access by instance of V3d_Light classes.
- Moved all needed enumerations into Graphic3d package.

4) Update package D3DHost to new changes.

5) Update code of OCCT samples to new changes.
mod - adm/UDLIST Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_BaseDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/Aspect/Aspect_GraphicCallbackProc.hxx Diff ] File ]
mod - src/D3DHost/D3DHost_GraphicDriver.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_GraphicDriver.hxx Diff ] File ]
mod - src/D3DHost/FILES Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CAspectFillArea.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CAspectLine.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CAspectMarker.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CAspectText.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CLight.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraduatedTrihedron.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TextureEnv.hxx Diff ] File ]
mod - src/InterfaceGraphic/FILES Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_Aspect.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_Visual3d.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_CView.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_4.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_713.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_Export.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Light.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_telem_util.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
add - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.lxx Diff ] File ]
mod - src/QABugs/QABugs_8.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/TKV3d/CMakeLists.txt Diff ] File ]
mod - src/TKV3d/PACKAGES Diff ] File ]
mod - src/V3d/V3d.cxx Diff ] File ]
mod - src/V3d/V3d.hxx Diff ] File ]
mod - src/V3d/V3d_AmbientLight.cxx Diff ] File ]
mod - src/V3d/V3d_AmbientLight.hxx Diff ] File ]
mod - src/V3d/V3d_CircularGrid.cxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_Light.cxx Diff ] File ]
mod - src/V3d/V3d_Light.hxx Diff ] File ]
mod - src/V3d/V3d_Plane.cxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.hxx Diff ] File ]
mod - src/V3d/V3d_RectangularGrid.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.hxx Diff ] File ]
mod - src/V3d/V3d_TypeOfShadingModel.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer_1.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer_2.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer_3.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer_4.cxx Diff ] File ]
mod - src/V3d/V3d_View_1.cxx Diff ] File ]
mod - src/V3d/V3d_View_2.cxx Diff ] File ]
mod - src/V3d/V3d_View_3.cxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
mod - src/V3d/V3d_View_5.cxx Diff ] File ]
mod - src/V3d/V3d_View_Print.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
rm - src/Visual3d/FILES Diff ] File ]
rm - src/Visual3d/Visual3d_ClipDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ContextPick.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_ContextPick.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ContextPickDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ContextView.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_ContextView.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_DepthCueingDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_HSequenceOfLight.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_HSequenceOfView.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_LayerDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_Light.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_Light.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_LightDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_NListOfLayerItem.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_PickError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_SequenceOfLight.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_SequenceOfView.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_TransformError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_TypeOfOrder.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_TypeOfProjection.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_View.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_View.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewManager.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewManagerDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewManagerPtr.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewMappingDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewOrientationDefinitionError.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewPtr.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_ZClippingDefinitionError.hxx Diff ] File ]
mod - tests/bugs/vis/bug25671 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-29 10:46 kgv New Issue
2014-03-29 10:46 kgv Assigned To => san
2014-03-29 10:47 kgv Relationship added child of 0023117
2014-03-29 10:47 kgv Relationship added related to 0024704
2014-03-29 10:48 kgv Assigned To san => kgv
2014-03-29 10:48 kgv Status new => assigned
2014-03-29 10:48 kgv Product Version => 6.7.0
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-07-20 15:09 kgv Relationship added child of 0025094
2014-08-15 09:31 kgv Relationship added related to 0025147
2014-09-29 22:32 kgv Target Version 6.8.0 => 7.1.0
2015-07-27 14:42 kgv Assigned To kgv => apl
2015-07-27 14:42 kgv Target Version 7.1.0 => 7.0.0
2015-07-31 19:32 git Note Added: 0043771
2015-09-03 19:09 git Note Added: 0045033
2015-09-04 18:03 git Note Added: 0045092
2015-09-07 17:31 git Note Added: 0045167
2015-09-08 13:10 git Note Added: 0045214
2015-09-08 20:30 git Note Added: 0045272
2015-09-09 13:17 git Note Added: 0045309
2015-09-09 13:31 git Note Added: 0045310
2015-09-09 19:37 git Note Added: 0045358
2015-09-10 12:02 git Note Added: 0045393
2015-09-10 12:50 git Note Added: 0045398
2015-09-10 12:51 apl Note Added: 0045399
2015-09-10 12:51 apl Assigned To apl => kgv
2015-09-10 12:51 apl Status assigned => resolved
2015-09-10 12:51 apl Steps to Reproduce Updated View Revisions
2015-09-11 12:15 git Note Added: 0045476
2015-09-11 12:47 git Note Added: 0045479
2015-09-11 12:48 apl Note Added: 0045480
2015-09-11 13:06 kgv Note Added: 0045481
2015-09-11 13:06 kgv Assigned To kgv => bugmaster
2015-09-11 13:06 kgv Status resolved => reviewed
2015-09-11 16:38 apv Assigned To bugmaster => apv
2015-09-11 16:57 git Note Added: 0045510
2015-09-11 16:58 apv Note Added: 0045511
2015-09-14 10:26 apv Note Added: 0045547
2015-09-14 10:26 apv Assigned To apv => apl
2015-09-14 10:26 apv Status reviewed => assigned
2015-09-14 11:15 git Note Added: 0045550
2015-09-14 11:15 apl Assigned To apl => kgv
2015-09-14 11:15 apl Status assigned => resolved
2015-09-14 11:17 kgv Assigned To kgv => bugmaster
2015-09-14 11:17 kgv Status resolved => reviewed
2015-09-14 11:17 kgv Note Added: 0045551
2015-09-14 11:18 apl Note Added: 0045552
2015-09-14 11:18 apl Assigned To bugmaster => apv
2015-09-15 12:32 apv Note Added: 0045620
2015-09-15 12:32 apv Assigned To apv => apl
2015-09-15 12:32 apv Status reviewed => assigned
2015-09-15 12:34 apv Note Edited: 0045620 View Revisions
2015-09-15 12:34 apv Test case number => Not needed
2015-09-15 12:40 apv Note Edited: 0045620 View Revisions
2015-09-16 14:37 kgv Relationship added related to 0026298
2015-09-16 15:01 git Note Added: 0045714
2015-09-16 17:16 git Note Added: 0045727
2015-09-16 17:17 apl Note Added: 0045728
2015-09-16 17:17 apl Assigned To apl => apv
2015-09-16 17:17 apl Status assigned => resolved
2015-09-16 17:17 apl Status resolved => reviewed
2015-09-16 17:27 kgv Priority normal => high
2015-09-17 14:30 apv Note Added: 0045790
2015-09-17 14:30 apv Assigned To apv => apl
2015-09-17 14:30 apv Status reviewed => assigned
2015-09-17 16:40 git Note Added: 0045815
2015-09-17 19:40 git Note Added: 0045838
2015-09-17 20:14 git Note Added: 0045841
2015-09-18 11:00 git Note Added: 0045855
2015-09-18 11:29 apl Status assigned => resolved
2015-09-18 11:31 apl Note Added: 0045863
2015-09-18 11:31 apl Assigned To apl => bugmaster
2015-09-18 11:31 apl Status resolved => reviewed
2015-09-18 15:08 apv Assigned To bugmaster => apv
2015-09-18 15:26 git Note Added: 0045893
2015-09-18 15:28 apv Note Added: 0045894
2015-09-18 16:59 git Note Added: 0045912
2015-09-18 19:24 apl Note Added: 0045923
2015-09-19 16:41 git Note Added: 0045931
2015-09-19 16:47 git Note Added: 0045933
2015-09-19 17:29 git Note Added: 0045934
2015-09-22 11:32 apv Note Added: 0045976
2015-09-22 11:32 apv Assigned To apv => bugmaster
2015-09-22 11:32 apv Status reviewed => tested
2015-09-22 11:49 kgv Summary Visualization - inherit OpenGl_View from Visual3d_View => Visualization - inherit OpenGl_View from Graphic3d_CView
2015-09-22 11:50 git Note Added: 0045977
2015-09-22 11:50 kgv Note Added: 0045978
2015-09-28 12:58 kgv Changeset attached => occt master c357e426
2015-09-28 12:58 kgv Assigned To bugmaster => kgv
2015-09-28 12:58 kgv Status tested => verified
2015-09-28 12:58 kgv Resolution open => fixed
2015-09-29 09:15 kgv Relationship added related to 0026734
2015-10-16 16:14 git Note Added: 0046866
2015-10-16 16:14 git Note Added: 0046867
2015-10-16 16:14 git Note Added: 0046868
2015-10-16 16:14 git Note Added: 0046869
2015-10-16 16:14 git Note Added: 0046870
2015-10-16 16:14 git Note Added: 0046871
2015-10-21 11:10 apl Relationship added parent of 0026792
2015-10-24 14:11 kgv Relationship added parent of 0026807
2015-11-11 19:03 kgv Relationship added related to 0026862
2015-11-23 13:23 kgv Relationship added related to 0026915
2015-12-22 18:00 kgv Relationship added related to 0027031
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2016-05-27 14:18 kgv Relationship added parent of 0027545
2017-04-19 18:33 kgv Relationship added parent of 0028664
2017-12-19 13:03 kgv Relationship added parent of 0029393


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker